Thufir wrote:
> I'm going to play around with it, but why would it fail?  permissions?
> 
> 
> C:\code>
> C:\code>gem install mongrel
> Bulk updating Gem source index for: http://gems.rubyforge.org
> Select which gem to install for your platform (i386-mswin32)
>  1. mongrel 1.1.1 (ruby)
>  2. mongrel 1.1.1 (jruby)
>  3. mongrel 1.1.1 (mswin32)
>  4. mongrel 1.1 (mswin32)
>  5. mongrel 1.1 (ruby)
>  6. mongrel 1.1 (jruby)
>  7. Skip this gem
>  8. Cancel installation
>> 1
> Install required dependency gem_plugin? [Yn]  y
> Install required dependency cgi_multipart_eof_fix? [Yn]  y
> Install required dependency daemons? [Yn]  y
> Install required dependency fastthread? [Yn]  y
> Select which gem to install for your platform (i386-mswin32)
>  1. fastthread 1.0.1 (mswin32)
>  2. fastthread 1.0.1 (ruby)
>  3. Skip this gem
>  4. Cancel installation
>> 2

You're trying to build a native extension on a platform without a 
compiler.  Select the mswin32 option for fastthread.

-- 
Alex